While `git annex sync` supports branches set up by `git annex adjust
--hide-missing`, the assisitant does not yet.

This would invole:

* The assistant also needs to scan the original branch when looking for
  files to download.

* The assistant ought to update the adjusted branch at some point after
  downloads, but it's not clear when. Perhaps this will need to be deferred
  until it can be done more cheaply, so it can do it after every file.

[[!tag confirmed]]
